/*
DTWFileIOException.java -- DTREND PROJECT
Author: Timo Ahonen
Version: 0.1
Revision date: 15.2.2002
Creation date: 16.2.2002


DTREND PROJECT
Project Manager: Juha Ylipekkala
Project group: Timo Ahonen, Tero Rontti, Juha Ylipekkala

----------------------------------------------------------------------------
REVISION HISTORY:

Version 0.1 
Initial version
Author: Timo Ahonen
Date: 16.2.2002
Known bugs/problems:
*/
package org.dtrend;

/** This exception is thrown by methods of <CODE>DTWFileIO</CODE> in case of an error
 * @author Timo Ahonen
 * @version 0.1
 */
public class DTWFileIOException extends java.lang.Exception {

    /** Creates new <code>DTWFileIOException</code> without detail message.
     */
    public DTWFileIOException() {
    }


    /**
     * Constructs an <code>DTWFileIOException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public DTWFileIOException(String msg) {
        super(msg);
    }
}


