package org.dtrend;

import javax.swing.UIManager;

/**
 * This class creates the user interface.
 * @author Tero Rontti
 * @version 0.1
 */
public class main {
    boolean packFrame = false;
    
    /** Construct the application */
    public main() {
	DTWMain frame = new DTWMain();
	//Validate frames that have preset sizes
	//Pack frames that have useful preferred size info, e.g. from their layout
	if (packFrame)
	    frame.pack();
	else
	    frame.validate();
	frame.setVisible(true);
    }
    
    /** Main method; Create the UI and catch any errors
     * @param args Arguments from command line. Not handled in any way.
     */
    public static void main(String[] args) {
	try  {
	    
	    /** Set look and feel for the application */
	    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
	}
	catch(Exception e) {
	}
	/** Create the application window */
	new main();
    } /** main() ends */
}

 
