/**
 * DTWDLLApi stub class
 * No real functionalities.
 */

package wrapper;
import org.dtrend.*;

public class DTWDLLApi{
    private static int tnum;

    public DTWDLLApi(  ){
    }

    public int addTemplate(float[] vec){
		return tnum++;
    }

    public float[] getTemplate( int tIndex ){
        System.err.println( "Getting template: " + tIndex );
        if( (tIndex % 2) == 1 ){
            float[] retval = { 1.234f, -1.345f, 3.432f, 4.222f, 1.323f, 4.555f,
							   7.546f, -8.444f, 0.122f, 3.333f, 0.666f, 1.222f
			};
			return retval;
        }
        else{
            float[] retval = { 7.546f, -8.444f, 0.122f, 3.333f, 0.666f, 1.222f,
							   1.234f, -1.345f, 3.432f, 4.222f, 1.323f, 4.555f
			};
            return retval;
        }
    }
	
    public boolean delTemplate( int tIndex ){
		return true;
    }
	
    public DTWAllResultsElement[] CompareAll( float[] oSeq, DTWParameters param ){
		DTWAllResultsElement[] retval = new DTWAllResultsElement[5];
		retval[0] = new DTWAllResultsElement();
		retval[1] = new DTWAllResultsElement();
		retval[2] = new DTWAllResultsElement();
		retval[3] = new DTWAllResultsElement();
		retval[4] = new DTWAllResultsElement();
		retval[0].setTIndex( 0 );
		retval[1].setTIndex( 1 );
		retval[2].setTIndex( 2 );
		retval[3].setTIndex( 3 );
		retval[4].setTIndex( 4 );
		retval[0].setDtwDistance( 2.3232f );
		retval[1].setDtwDistance( 3.43222f );
		retval[2].setDtwDistance( 3.42131f );
		retval[3].setDtwDistance( 1.43232f );
		retval[4].setDtwDistance( 5.43332f );
		return retval;
    }

    public DTWOneResult CompareOne( float[] oSeq, DTWParameters param, int tIndex ){
        System.err.println( "Comparing against template no " + tIndex );
		DTWOneResult retval = new DTWOneResult();
		retval.setTIndex( 2 );
		retval.setDtwDistance( 2.3232f );
        retval.setWarpingPath(getWPath());
		return retval;
    }

    public int[][] getWPath( ){
		int[][] retval = { {1,2}, {2,1}, {3,3}, {4,3}, {4,4}, {5,5} };
		return retval;
    }
}
