package org.dtrend;

import javax.swing.*;
import java.io.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Random;
import java.util.Date;

/**
 * <p>Title: DTREND</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class TestForm extends JFrame {
    DTWVerticalPlotter obs;
    JButton but;

    public TestForm() {
        obs = new DTWVerticalPlotter( 400, 400 );
        this.setSize( 500,500 );
        this.getContentPane().setLayout( new BorderLayout());
        this.getContentPane().add( obs, BorderLayout.NORTH );
        but = new JButton( "Button" );

        but.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(MouseEvent e) {
	        doSomething();
            }
        });
        this.getContentPane().add(but, BorderLayout.SOUTH);
    }

    /** Test case */
    private boolean doSomething( ){
        String testcase = "One value, positive";
        /** Values for testing */
        int num = 1;
        int add = 10;
        float valRangeAdd = 0f;
        float valRangeVar = 10f;
        DTWDataVector vec = new DTWDataVector();
		String outstring;
		BufferedWriter f = null;
		
        try{
            f = new BufferedWriter( new FileWriter( "testing.log", true));
			int i;
			int count;
			Random rand = new Random();
			float[] val;
			
			f.write( new Date().toString());
			f.newLine();
			
			count = rand.nextInt( num )+1;
			count+=add;
			
			val = new float[count];
			
			outstring = "Adding " + count + " items to data vector:";
			f.write( outstring, 0, outstring.length() );
			f.newLine();
			for( i=0;i<count;i++){ // repeat count times
				val[i] = rand.nextFloat() * valRangeVar + valRangeAdd;
				outstring = new Float(val[i]).toString() + " ";
				f.write( outstring, 0, outstring.length() );
			}
			f.newLine();
			
			outstring = "Setting plotter values.";
			f.write(outstring,0,outstring.length());
			vec.setName( "Test case" );
			vec.setValues(val);
			obs.setValues(vec);
			f.newLine();
			f.newLine();
			f.close();
			return true;
        }catch( Exception ex){
			System.err.println("Exception caught");
			if( !(ex instanceof IOException) ){
				ex.printStackTrace();
				outstring = ex.toString();
				try{
					f.newLine();
					f.write(outstring,0,outstring.length());
					f.newLine();
					f.newLine();
					f.close();
				}
				catch(Exception e){
					
				}
			}else{
				System.err.println("Error opening log file!");
			}
			return false;
        }
		
    }
}
